Anope DefCon
------------

1) Introduction
2) Installation
3) Configuration
4) Usage
5) Usage Example
6) Support

1) Introduction

    Anope supports a unique protection mechanism based on the
    military "Defense Readiness Condition" (DefCon) system. It is based on
    5 levels of defense readiness defined as:

    DEFCON5 Normal peacetime readiness
    DEFCON4 Increased intelligence and security readiness
    DEFCON3 Increase in force readiness
    DEFCON2 Further increase in force readiness
    DEFCON1 Maximum force readiness.

    These are configurable levels that mandates what actions Anope should
    take in case of emergency and change in readiness status.

    It is used to prevent abuse to both Anope, and the IRCd on which they
    are running. Also to protect the users, primarily in the event of Clones
    and/or FloodBOT attacks.

2) Installation

    The DefCon system is part of Anope's core,

    The DefCon system has to be configured on your operserv.conf file to
    be enabled. Defcon will be disabled if "defaultlevel" in the defcon
    block is left commented, or set to 0. Look for the defcon block
    on your operserv.conf file for more information on enabling and
    configuring it.

    Make sure you restart Anope after changing the DefCon configuration
    directives.

3) Configuration

    Pre-defined DefCon actions:

    No new channel registrations
    No New Nick Registrations
    No Mode Lock changes
    Force Chan Mode
    Use Reduced Session Limit
    KILL any new clients trying to connect
    Ignore everyone but opers
    Silently ignore everyone but opers
    AKILL all new clients trying to connect
    No new memos sent to block MemoServ attacks

    Information regarding how to enable this for specific defcon levels can
    be found in operserv.conf

4) Usage

    Anope starts up in DEFCON5 (normal readiness). To change the Defcon level
    in action use:

    /msg OperServ DEFCON 1|2|3|4|5

5) Usage Example

    Place the network on DEFCON4:

    /msg OperServ DEFCON 4

    -OperServ- Services are now at DEFCON 4
    -OperServ- * No new channel registrations
    -OperServ- * No new nick registrations
    -OperServ- * No mode lock changes
    -OperServ- * Use the reduced session limit of 5

    -Global- The Defcon Level is now at: 4

    Restore normal readiness:

    /msg OperServ DEFCON 5

    -OperServ- Services are now at DEFCON 5

    -Global- Services are now back to normal, sorry for any inconvenience

6) Support

    You might get DefCon support by posting on our online forum, or maybe on
    our #anope channel at /server irc.teranova.net.
